using System;

public class Application {
public static void Main() {
shogun.init_shogun_with_defaults();

CSVFile f_feats_a = new CSVFile("../../data/fm_train_real.dat");
CSVFile f_feats_b = new CSVFile("../../data/fm_test_real.dat");

//![create_features]
RealFeatures features_a = new RealFeatures(f_feats_a);
RealFeatures features_b = new RealFeatures(f_feats_b);
//![create_features]

//![create_instance]
EuclideanDistance distance = new EuclideanDistance(features_a, features_a);
//![create_instance]

//![extract_distance]
double[,] distance_matrix_aa = distance.get_distance_matrix();
//![extract_distance]

//![refresh_distance]
distance.init(features_a, features_b);
//![refresh_distance]

//![extract_sq_distance]
distance.set_disable_sqrt(true);
double[,] distance_matrix_ab = distance.get_distance_matrix();
//![extract_sq_distance]

}
}
